# Class RepeatCompilationIdError

This error indicates there was an attempt to add multiple compilations with the same ID, or a compilation whose ID was already in use.

#### Hierarchy

- Error
  - RepeatCompilationIdError

- Defined in codec/lib/errors.ts:84

#####
Index

### Constructors

constructor

### Properties

ids

## Constructors

### constructor

- new RepeatCompilationIdError(ids): RepeatCompilationIdError

- #### Parameters

  - ##### ids: string[]

  #### Returns RepeatCompilationIdError

  Overrides Error.constructor

  - Defined in codec/lib/errors.ts:86

## Properties

### ids

ids: string[]

- Defined in codec/lib/errors.ts:85

Generated using TypeDoc